For the complete documentation index, see llms.txt. This page is also available as Markdown.

Employees

Employees manage related operations

Resets the employee profile for a given email address, allowing the employee to select a new are and profile when they log in on the app

put
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Body

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
Responses
200

OK

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
put/api/v1/public/company/employees/reset
PUT /api/v1/public/company/employees/reset HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 351

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Retrieves an employee by external id

get
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
externalIdstringRequired

The externalId of the employee you want to retrieve

Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
get/api/v1/public/company/employees/externalid/{externalId}
GET /api/v1/public/company/employees/externalid/{externalId} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Updates an employee for a given external id

put
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
externalIdstringRequired

The externalId of the employee you wish to update

Body

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
put/api/v1/public/company/employees/externalid/{externalId}
PUT /api/v1/public/company/employees/externalid/{externalId} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Content-Type: */*
Accept: */*
Content-Length: 351

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Deletes an employee for a given external id

delete
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
externalIdstringRequired

The externalId of the employee you wish to delete

Query parameters
turnoverDatestring · date-timeOptional

The turnover date of the employee (ddMMyyyy format)

turnoverTypestring · enumOptional

Type of feedback

Possible values:
Responses
200

OK

*/*
stringOptional
delete/api/v1/public/company/employees/externalid/{externalId}
DELETE /api/v1/public/company/employees/externalid/{externalId} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
200

OK

text

Retrieves an employee by email

get
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
employeeEmailstringRequired

The email of the employee you want to retrieve

Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
get/api/v1/public/company/employees/email/{employeeEmail}
GET /api/v1/public/company/employees/email/{employeeEmail} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Updates an employee for a given email address

put
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
employeeEmailstringRequired

The email of the employee you wish to update

Body

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
put/api/v1/public/company/employees/email/{employeeEmail}
PUT /api/v1/public/company/employees/email/{employeeEmail} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Content-Type: */*
Accept: */*
Content-Length: 351

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Deletes an employee for a given email address

delete
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Path parameters
employeeEmailstringRequired

The email of the employee you wish to delete

Query parameters
turnoverDatestring · date-timeOptional

The turnover date of the employee (ddMMyyyy format)

turnoverTypestring · enumOptional

Type of feedback

Possible values:
Responses
200

OK

*/*
stringOptional
delete/api/v1/public/company/employees/email/{employeeEmail}
DELETE /api/v1/public/company/employees/email/{employeeEmail} HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
200

OK

text

Invite an employee

post
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Body

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
post/api/v1/public/company/employees/invite
POST /api/v1/public/company/employees/invite HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Content-Type: */*
Accept: */*
Content-Length: 351

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}
200

OK

{
  "name": "text",
  "email": "text",
  "externalId": "text",
  "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
  "profile": [
    {
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "date": "2026-01-01T00:00:00.000Z",
      "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "role": "ADVISOR",
  "managedHierarchies": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ]
}

Retrieves all the employees

get
Authorizations
happyforceAPIKeystringRequired

API Key for Happyforce API

Query parameters
hierarchyIdstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
profilestringOptional
groupIdstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
activatedbooleanOptional
deletedbooleanOptional
Responses
200

OK

*/*

The details of the employee you want to invite to Happyforce

namestringOptional

Name of the employee

emailstringOptional

Email of the employee

externalIdstringOptional

External id of the employee

hierarchyIdstringOptional

Area id where this employee belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]Optional

List of groups to which this user belongs

Example: 64f8a0e2d5b7c9a1e3f4a5b6
rolestring · enumOptional

Role of the employee in the company

Possible values:
managedHierarchiesstring[]Optional

List of hierarchies that this employee manages

Example: 64f8a0e2d5b7c9a1e3f4a5b6
get/api/v1/public/company/employees
GET /api/v1/public/company/employees HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "name": "text",
    "email": "text",
    "externalId": "text",
    "hierarchyId": "64f8a0e2d5b7c9a1e3f4a5b6",
    "profile": [
      {
        "id": "64f8a0e2d5b7c9a1e3f4a5b6",
        "date": "2026-01-01T00:00:00.000Z",
        "valueId": "64f8a0e2d5b7c9a1e3f4a5b6",
        "leafId": "64f8a0e2d5b7c9a1e3f4a5b6"
      }
    ],
    "groupIds": [
      "64f8a0e2d5b7c9a1e3f4a5b6"
    ],
    "role": "ADVISOR",
    "managedHierarchies": [
      "64f8a0e2d5b7c9a1e3f4a5b6"
    ]
  }
]

Last updated